Skip to main content
POST
Create or update custom field

Authorizations

X-API-Key
string
header
required

Preferred. API key value directly.

Query Parameters

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

name
string

Field display name.

Example:

"YOUR_NAME"

type
string

text | number | email | phone | date | time | datetime | url | image | video | file | label | dropdown. Default text. image/video/file/url values are http(s) URLs.

Example:

"YOUR_TYPE"

isRequired
boolean

Whether the field is required.

Example:

false

options
any[]

Options for dropdown/label types (array or JSON string).

Example:

Body

application/json
name
string
required

Field display name.

Example:

"YOUR_NAME"

channelId
string

Channel id. Auto-selects when omitted.

Example:

"ch_123"

type
string

text | number | email | phone | date | time | datetime | url | image | video | file | label | dropdown. Default text. image/video/file/url values are http(s) URLs.

Example:

"YOUR_TYPE"

isRequired
boolean

Whether the field is required.

Example:

false

options
any[]

Options for dropdown/label types (array or JSON string).

Example:

Response

Success. Envelope: { success:true, data, message? }.

success
boolean
required
Example:

true

data
any
message
string
pagination
object
total
number